Name:           klear
Version:        0.6.1
Release:        1%{?dist}
Summary:        DVB TV application and harddisk-recorder for linux

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.klear.org/
Source0:        http://www.klear.org/sources/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scons kdebase-devel xine-lib-devel chrpath libXtst-devel gettext desktop-file-utils

%description
Klear is a graphical TV viewer with an integrated recording system 
for Linux.
It's designed as a DVB desktop application with all common features.
A clear, nifty and feature rich DVB viewer and recorder 
for your desktop machine.

%prep
%setup -q


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

chmod -x src/App/Engines/KlearXine/CKlearEngineXine.h
chmod -x src/App/CKlearAppRecorder.h
chmod -x src/GUI/Controller/CKlearControllerConfig.h
chmod -x src/App/CKlearAppRecorder.cpp
#this file should not be here...
%{__rm} -f po/it_old.po

export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
scons configure \
        kdeincludes=/usr/include/kde/ \
        libdir=%{_libdir} \
        %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
scons install DESTDIR=$RPM_BUILD_ROOT
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/klear



desktop-file-install --vendor=""                     \
       --dir=%{buildroot}%{_datadir}/applnk/Multimedia   \
       %{buildroot}/%{_datadir}/applnk/Multimedia/klear.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
touch --no-create %{_datadir}/icons/hicolor

%postun
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc distfiles/AUTHORS distfiles/BUGS distfiles/changelog distfiles/COPYING distfiles/copyright distfiles/README
%{_bindir}/klear
%{_datadir}/applnk/Multimedia/klear.desktop
%{_datadir}/apps/klear
%{_datadir}/icons/hicolor/??x??/apps/klear.png



%changelog
* Sun Sep 02 2007 Johan Cwiklinski <johan@x-tnd.be> 0.6.1-1
- Update to 0.6.1
- Replace GPL with GPLv2
* Sun May 13 2007 Johan Cwiklinski <johan@x-tnd.be> 0.6.0-2
- Added RPM_OPT_FLAGS (the good way this time)
- Using desktop-file-install for the desktop file
- Removed qt-devel from BR since it's required by kdebase-devel  
- Removed QTLIB export since it's already present in qt.sh
- Corrected preceding changelog day
* Wed Mar 28 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.6.0-1
- Added RPM_OPT_FLAGS
- Added QT environment variables
* Sun Mar 18 2007 Johan Cwiklinski <johan.cwiklinski@fedoraproject.org> 0.6.0-0.1
- Initial RPM creation
